Subject: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jan 2014 17:53:47 +0200

> Date: Sat, 11 Jan 2014 20:35:01 -0800
> From: Daniel Colascione <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked], 
>  [email-masked]
> 
> > The reason is precisely because it means different
> > things to different people in different contexts, and these things
> > require subtly different behaviors which are mutually incompatible.
> 
> As I see it, there are generally two use cases:
> 
> 1) I'm a user and want to limit my view of the buffer, and
> 2) I'm a lisp program and want to put ad-hoc bounds on various operations.
> 
> I don't see why the two uses would be incompatible.

I think Stefan meant use cases with different Lisp-level features and
operations, like moving point as opposed to examining text properties.